mallow docs

Cancel gumball item request

POST
/v2/tx/gumball/cancel-add-item-request

Builds the transaction withdrawing seller's pending request to add asset to gumballMachine, and returning the item to them.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/tx/gumball/cancel-add-item-request" \  -H "Content-Type: application/json" \  -d '{    "seller": "string",    "gumballMachine": "string",    "asset": "string"  }'
{  "result": {    "tx": "string",    "setupTx": "string"  }}